 # ═══════════════════════════════════════════════════════
#  FreePBX Hívásátíró – konfigurációs fájl
# ═══════════════════════════════════════════════════════

# ─── Whisper modell ────────────────────────────────────
# Apple Silicon (M1/M2/M3/M4) – ajánlott:
whisper_model: mlx-community/whisper-large-v3-mlx

# Egyéb lehetőségek (mlx backend):
#   mlx-community/whisper-medium-mlx          # gyorsabb, kicsit kevésbé pontos
#   mlx-community/whisper-large-v3-turbo-mlx  # nagy modell, gyorsabb inference

# Ha mlx-whisper nincs telepítve (faster-whisper fallback):
#   large-v3
#   medium


# ─── Szótár fájl ──────────────────────────────────────
# Egy sor = egy szó/kifejezés. A '#'-el kezdődő sorok megjegyzések.
vocabulary_file: vocabulary.txt


# ─── Kimenet ──────────────────────────────────────────
# A hangfájl neve + ez a végzet lesz a TXT neve
# Pl.: 20240315_kovacs_anna.mp3 → 20240315_kovacs_anna_transcript.txt
output_suffix: _transcript.txt


# ─── Feliratokban megjelenő nevek ─────────────────────
customer_label: Ügyfél


# ─── Hangminta-azonosítás küszöbértéke ────────────────
# A resemblyzer koszinusz-hasonlóság (0.0 – 1.0) értéke felett fogadja el az egyezést.
#
#   Tipikus értékek:
#     Ugyanaz a személy   →  0.75 – 0.95
#     Más személy         →  0.35 – 0.65
#
#   Ha túl sok a "téves azonosítás" (más embert is felismer): EMELD (pl. 0.80)
#   Ha valódi egyezéseket hagy ki (nem ismeri fel a kollégát): CSÖKKENTSD (pl. 0.70)
#
#   A program -v (verbose) módban kiírja az összes mérési értéket, így látod
#   melyik értéknél lenne helyes a döntés a saját felvételeiden.
speaker_similarity_threshold: 0.75


# ─── Hangminta nélküli fallback ───────────────────────
# Ha nincs hangminta, vagy egyik sem éri el a küszöbértéket:
default_agent_name: Ügyfélszolgálatos

# Melyik csatorna az ügyfélszolgálatos hangminta nélkül?
# FreePBX alapbeállítás: 0 = bal (hívó fél), 1 = jobb (fogadó = ügyfélszolgálatos)
default_agent_channel: 1


# ─── Ügyfélszolgálatosok ──────────────────────────────
# name:         Az átírásban megjelenő név
# voice_sample: Hangminta fájl elérési útja (mp3 vagy wav)
#               Ideális: legalább 30 mp tiszta hang, háttérzaj nélkül
#               A fájlt a config.yaml mellé vagy almappába teheted.
#
# Ha nincs voice_sample megadva (vagy nem található a fájl),
# a program a default_agent_channel beállítást használja.

agents:
  - name: "Kovács Anna"
    voice_sample: "hangmintak/kovacs_anna.mp3"

  - name: "Nagy Béla"
    voice_sample: "hangmintak/nagy_bela.mp3"

  # - name: "Harmadik Kolléga"
  #   voice_sample: "hangmintak/harmadik_kolega.mp3"
